Revision to Registration Procedures for Multiple BMP Registries
RFC 9515
John Scudder
Juniper Networks
2023-12
ops
grow
IDR
This document updates RFC 7854, "BGP Monitoring Protocol (BMP)", by changing the registration procedures for several registries. Specifically, any BMP registry with a range of 32768-65530 designated "Specification Required" has that range redesignated as "First Come First Served".
Status of This Memo
This is an Internet Standards Track document.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on Internet Standards is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9515.
Copyright Notice
Copyright (c) 2023 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Revised BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Revised BSD License.
Table of Contents
- 1. Introduction
- 2. IANA Considerations
- 3. Security Considerations
- 4. Normative References
- Acknowledgements
- Author's Address
Introduction
[RFC7854] creates a number of IANA registries that include a range of 32768-65530 designated "Specification Required". Each such registry also has a large range designated "Standards Action". Subsequent experience has shown two things. First, there is less difference between these two policies in practice than there is in theory (consider that [RFC8126] explains that for Specification Required, "Publication of an RFC is an ideal means of achieving this requirement"). Second, it's desirable to have a very low bar to registration, to avoid the risk of conflicts introduced by use of unregistered code points (so-called "code point squatting").
Accordingly, this document revises the registration procedures, as given in Section 2.
IANA Considerations
IANA has revised the following registries within the BMP group:
- BMP Statistics Types
- BMP Initiation and Peer Up Information TLVs
- BMP Termination Message TLVs
- BMP Termination Message Reason Codes
- BMP Route Mirroring TLVs
- BMP Route Mirroring Information Codes
For each of these registries, the ranges 32768-65530 whose registration procedures were "Specification Required" are revised to have the registration procedures "First Come First Served".
Security Considerations
This revision to registration procedures does not change the underlying security issues inherent in [RFC7854].
Normative References
[RFC7854]

BGP Monitoring Protocol (BMP)
J. Scudder, Ed.
R. Fernando
S. Stuart
June 2016
RFC 7854
DOI 10.17487/RFC7854
[RFC8126]

Guidelines for Writing an IANA Considerations Section in RFCs
M. Cotton
B. Leiba
T. Narten
June 2017
BCP 26
RFC 8126
DOI 10.17487/RFC8126
Acknowledgements
Thanks to Jeff Haas for review and encouragement, and to Tom Petch for review.
Author's Address
John Scudder
Juniper Networks
1194 N. Mathilda Ave
Sunnyvale
CA
94089
United States of America
jgs@juniper.net